Documented mhparam -debug option.
[mmh] / test / mhparam / test-mhparam
index 573020e..087be8d 100755 (executable)
@@ -31,20 +31,16 @@ Usage: mhparam [profile-components] [switches]
   -version
   -help
 EOF
-# The exit status is 1 with -help, so temporarily disable -e.
-set +e
+
 mhparam -help >$actual 2>&1
-set -e
 check $expected $actual
 
-# check -version, which returns non-zero exit status
-set +e
+# check -version
 case `mhparam -v` in
   mhparam\ --*) ;;
   *           ) echo "$0: mhparam -v generated unexpected output" 1>&2
                 failed=`expr ${failed:-0} + 1`;;
 esac
-set -e
 
 # check unknown option
 run_test 'mhparam -nonexistent' 'mhparam: -nonexistent unknown'
@@ -78,6 +74,7 @@ AliasFile: aliases"
 
 # check each component in procs array in uip/mhparam.c
 # The tests don't override these, so they're default or configured values.
+# Note that cat is hardcoded here because the testsuite uses it for moreproc.
 cat >$expected <<EOF
 context
 .mh_sequences
@@ -89,7 +86,7 @@ $auxexecdir/install-mh
 $pagerpath
 $bindir/mhmail
 $MH_INST_DIR$auxexecdir/mhl
-$pagerpath
+cat
 600
 $bindir/msh
 $bindir/packf
@@ -134,7 +131,7 @@ libdir >$actual 2>&1
 check $expected $actual
 
 #### This exits with non-zero status, so let run_test squash that:
-run_test 'mhparam faceproc formatproc rmmproc' ''
+run_test 'mhparam formatproc rmmproc' ''
 
 #### Test sbackup separately because it's only passed as a -D compile option.
 case `mhparam sbackup` in
@@ -164,7 +161,7 @@ mhparam path context nonexistent1 nonexistent2 nonexistent3 >/dev/null
 run_test "echo $?" 3
 set -e
 
-# mhparam -debug (undocumented)
+# mhparam -debug
 # Some of its output depends on configure options, so don't bother to
 # check for correctness here.
 mhparam -debug >/dev/null